//---------------------------------------------------------------------------
#ifndef EBinaryEditSourceH
#define EBinaryEditSourceH
//---------------------------------------------------------------------------
class EBinaryEdit : public TMemoryStream {
	public:
    EBinaryEdit();
    __fastcall ~EBinaryEdit(void);

    unsigned int ReadLong();
    unsigned int ReadLong(long _position);

    AnsiString ReadString(long int _index, long int _bytes);
    AnsiString ReadString(long int _index); //read until a /0 is encountered
    bool WriteString(long int _index,AnsiString _string);
    long int FindString(long int _index, AnsiString _string,bool _asHex = false);
    long int FindString(AnsiString _string,bool _asHex = false);

    private:
    unsigned int * wordBuffer;
    
    protected:
};
#endif
