//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "EBinaryEditSource.h"
//---------------------------------------------------------------------------
EBinaryEdit::EBinaryEdit()
{
//TMemoryStream::TMemoryStream();
wordBuffer = new unsigned int;
}
//---------------------------------------------------------------------------
__fastcall EBinaryEdit::~EBinaryEdit()
{
//TMemoryStream::~TMemoryStream();
delete wordBuffer;
}
//---------------------------------------------------------------------------
AnsiString
EBinaryEdit::ReadString(long int _index, long int _bytes)
{
AnsiString temp;
temp = "";
if (_index > Size) return "";
if (_index + _bytes > Size) _bytes = Size - _index;

Position = _index;

unsigned int * buffer = new unsigned int;

for (long int i=0;i<_bytes;i++){
	*buffer = 0;
	Read(buffer,1);
    temp = temp + (char)*buffer;
    }
delete buffer;
return temp;
}
//---------------------------------------------------------------------------
AnsiString
EBinaryEdit::ReadString(long int _index)
{
AnsiString temp;
temp = "";
if (_index > Size) return "";

Position = _index;

unsigned int * buffer = new unsigned int;

int i=0;

while ((char)*buffer != '\0'){
	*buffer = 0;
	Read(buffer,1);
    if ((char)*buffer != '\0')
    	temp = temp + (char)*buffer;
    }
delete buffer;
return temp;
}
//---------------------------------------------------------------------------
bool
EBinaryEdit::WriteString(long int _index,AnsiString _string)
{
if(_index>Size) return false;
unsigned int * buffer = new unsigned int;
AnsiString temp;
char * c;

for (long int i=1;i<=_string.Length();i++){
	*buffer = 0;
    temp = _string.SubString(i,1);
    c = temp.c_str();
    *buffer = (unsigned int)*c;
    Write(buffer,1);
    }

delete buffer;
}
//---------------------------------------------------------------------------
long int
EBinaryEdit::FindString(long int _index, AnsiString _string, bool _asHex)
{
long int length = _string.Length();
long int MAX = Size - length;
if (_asHex){
	if (length % 2 != 0){
    	_string = (AnsiString)"0" + _string;
        length++;
        MAX--;
        }
    AnsiString temp,temp2;
    unsigned int * c = new unsigned int;

    bool isMatch;
    isMatch = false;
    while (_index <= MAX){
	temp = "0x" + _string;
        isMatch = true;
        Position = _index;
    	for (long int i=1;i<length;i+=2){
        	temp = "0x" + _string.SubString(i,2);
            *c = 0;
            Read(c,1);
            //temp2 = ReadString(_index+i-1,1);
            //c = temp2.c_str();
            if (temp.ToInt() != *c)
            	{isMatch = false;
                break;
                }
            }

        if (isMatch){
            delete c;
            return _index;
            }
        _index++;
        }
    delete c;
	} else {
    while (_index <= MAX)
		if (ReadString(_index++,length) == _string) {
        	return --_index;
            }
    }
return -1;
}
//---------------------------------------------------------------------------
long int
EBinaryEdit::FindString(AnsiString _string, bool _asHex)
{
return FindString(Position,_string,_asHex);
}
//---------------------------------------------------------------------------
unsigned int
EBinaryEdit::ReadLong()
{
*wordBuffer = 0;
unsigned int temp;
temp = 0;
Read(wordBuffer,1);
temp = temp + *wordBuffer * 0x1000000;
Read(wordBuffer,1);
temp = temp + *wordBuffer * 0x10000;
Read(wordBuffer,1);
temp = temp + *wordBuffer * 0x100;
Read(wordBuffer,1);
temp = temp + *wordBuffer;
return temp;
}
//---------------------------------------------------------------------------
unsigned int
EBinaryEdit::ReadLong(long _position)
{
Position = _position;
return ReadLong();
}

