//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "WingAreaSource.h"
#include "MainSource.h"
#include "EBinaryEditSource.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TWingAreaEditForm *WingAreaEditForm;
//---------------------------------------------------------------------------
__fastcall TWingAreaEditForm::TWingAreaEditForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TWingAreaEditForm::LoadClick(TObject *Sender)
{
OpenDialog->InitialDir = MainForm->Defaults->Strings[0];
if (OpenDialog->Execute()){
    MainForm->Defaults->Strings[0] = ExtractFilePath(OpenDialog->FileName);
    MainForm->DataFile->LoadFromFile(OpenDialog->FileName);
    }

}
//---------------------------------------------------------------------------
void __fastcall TWingAreaEditForm::SaveClick(TObject *Sender)
{
SaveDialog->InitialDir = MainForm->Defaults->Strings[0];
if (SaveDialog->Execute()){
    MainForm->Defaults->Strings[0] = ExtractFilePath(SaveDialog->FileName);
	MainForm->DataFile->SaveToFile(OpenDialog->FileName);
    }
}
//---------------------------------------------------------------------------
void __fastcall TWingAreaEditForm::GoClick(TObject *Sender)
{
double factor;
FoundList->Items->Clear();
factor = MultiplyBox->Text.ToDouble();
MainForm->DataFile->Position = 0;
long int pos;
long int modelpos;
long int storepos;
double value;
int found = 0;
ChangedBox->Text = "Working . . .";
ChangedBox->Update();
AnsiString temp;
pos = MainForm->DataFile->FindString("airWin");
while (pos != -1){
    storepos = pos;
	PositionBox->Text = PositionBox->Text.IntToHex(pos,2);
	modelpos = MainForm->DataFile->FindString("1BCD0007",true);
    if (modelpos != -1){
    	MainForm->DataFile->Position = pos;
        pos = MainForm->DataFile->FindString("airAre");
        while(pos < modelpos && pos != -1){
            	ChangedBox->Text = (AnsiString)++found;
                ChangedBox->Update();
                pos +=8;
                MainForm->DataFile->Position = pos;
                value = MainForm->LoadValue();
                temp = temp.IntToHex(pos,2);
                temp += " : ";
                temp += (double)value;
                FoundList->Items->Add(temp);
                FoundList->Update();
                value = value * factor;
                MainForm->DataFile->Position = pos;
                MainForm->SaveValue(value);
                pos = MainForm->DataFile->FindString("airAre");
        	}
        }
    pos = storepos + 10;
    MainForm->DataFile->Position = pos;
	pos = MainForm->DataFile->FindString("airWing");
	}

ChangedBox->Text = ChangedBox->Text + (AnsiString)" - Done";
ChangedBox->Update();

}
//---------------------------------------------------------------------------